cURL
curl -X POST "https://app.cotool.ai/api/threat-model/regenerate" \
-H "Authorization: Bearer YOUR_API_KEY" \
-H "Content-Type: application/json" \
-d '{"changeDescription":"string"}'import requests
url = "https://app.cotool.ai/api/threat-model/regenerate"
payload = { "changeDescription": "<string>" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({changeDescription: '<string>'})
};
fetch('https://app.cotool.ai/api/threat-model/regenerate', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));HttpResponse<String> response = Unirest.post("https://app.cotool.ai/api/threat-model/regenerate")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"changeDescription\": \"<string>\"\n}")
.asString();package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://app.cotool.ai/api/threat-model/regenerate"
payload := strings.NewReader("{\n \"changeDescription\": \"<string>\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"jobId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"startedLocally": true
}{
"error": "<string>",
"issues": [
{}
]
}{
"error": "<string>"
}{
"error": "<string>",
"missingPerms": [
"<string>"
]
}{
"error": "<string>"
}ThreatModel
Regenerate threat model
Enqueue a threat model regeneration job using current environment data.
POST
/
api
/
threat-model
/
regenerate
cURL
curl -X POST "https://app.cotool.ai/api/threat-model/regenerate" \
-H "Authorization: Bearer YOUR_API_KEY" \
-H "Content-Type: application/json" \
-d '{"changeDescription":"string"}'import requests
url = "https://app.cotool.ai/api/threat-model/regenerate"
payload = { "changeDescription": "<string>" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({changeDescription: '<string>'})
};
fetch('https://app.cotool.ai/api/threat-model/regenerate', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));HttpResponse<String> response = Unirest.post("https://app.cotool.ai/api/threat-model/regenerate")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"changeDescription\": \"<string>\"\n}")
.asString();package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://app.cotool.ai/api/threat-model/regenerate"
payload := strings.NewReader("{\n \"changeDescription\": \"<string>\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"jobId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"startedLocally": true
}{
"error": "<string>",
"issues": [
{}
]
}{
"error": "<string>"
}{
"error": "<string>",
"missingPerms": [
"<string>"
]
}{
"error": "<string>"
}Authorizations
API Key authentication for programmatic access. Include your API key in the Authorization header as: Bearer your_api_key_here
Body
application/json
Optional reason shown on the new AI-authored version
Required string length:
1 - 255Was this page helpful?
⌘I